<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\AffiliateClick;

class AffiliateClickController extends Controller
{
    public function index()
    {
        $clicks = AffiliateClick::all();
        return view('admin.affiliate-clicks.index', compact('clicks'));
    }

    public function store(Request $request)
    {
        $request->validate([
            'user_id' => 'required|exists:users,id',
            'click_count' => 'required|integer'
        ]);

        AffiliateClick::create($request->all());

        return redirect()->route('admin.affiliate-clicks')->with('success', 'Click data stored successfully!');
    }
}
