<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Product;
use Illuminate\Support\Facades\Auth;

class CheckoutController extends Controller
{
    public function index(Request $request)
    {
        if (!Auth::check()) {
            return redirect()->route('login')->with('error', 'You must be logged in to proceed to checkout.');
        }

        $product = Product::find($request->product_id);
        if (!$product) {
            return redirect()->route('store')->with('error', 'Product not found.');
        }

        return view('checkout', compact('product'));
    }

    public function process(Request $request)
    {
        if (!Auth::check()) {
            return redirect()->route('login')->with('error', 'Please log in to continue.');
        }

        // Process payment logic here (e.g., Stripe, PayPal)
        return redirect()->route('store')->with('success', 'Purchase completed successfully!');
    }
}
