<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Plan extends Model
{
    use HasFactory;

    protected $fillable = [
        'name',
        'price',
        'bv',  // Business Volume
        'ref_com', // Referral Commission
        'max_pairs_per_day', // Max Pairs Per Day
        'infinite_pairs', // Infinite Pairs
        'plan_picture', // Plan Image
    ];

    /**
     * Accessor to get the full URL of the Plan Image.
     */
    public function getPlanPictureUrlAttribute()
    {
        return $this->plan_picture 
            ? asset('assets/images/plan/' . $this->plan_picture) 
            : asset('assets/images/plan/default.jpg'); // Default image fallback
    }
}