<?php

// database/seeders/PlanSeeder.php
namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;
use App\Models\Plan;

class PlanSeeder extends Seeder
{
    public function run()
    {
        DB::table('plans')->insert([
            [
                'name' => 'Basic Plan',
                'price' => 50,
                'bv' => 10,
                'ref_com' => 5,
                'max_pairs_per_day' => 2,
                'infinite_pairs' => 0,
                'plan_picture' => 'default.jpg', // Adjust if needed
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'name' => 'Pro Plan',
                'price' => 100,
                'bv' => 20,
                'ref_com' => 10,
                'max_pairs_per_day' => 5,
                'infinite_pairs' => 1,
                'plan_picture' => 'pro.jpg',
                'created_at' => now(),
                'updated_at' => now(),
            ]
        ]);
    }
}
