<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;
use Carbon\Carbon;

class ProductSeeder extends Seeder
{
    public function run()
    {
        DB::table('products')->insert([
            [
                'name' => 'Sample Product 1',
                'sku' => Str::random(10), // ✅ Generate a random unique SKU
                'short_description' => 'This is a sample short description.',
                'description' => 'This is a sample product.',
                'price' => 100,
                'bv' => 10,
                'inventory' => 50,
                'image' => 'sample1.jpg',
                'category_id' => null,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
            ],
            [
                'name' => 'Sample Product 2',
                'sku' => Str::random(10), // ✅ Ensure unique SKU for each product
                'short_description' => 'Another sample short description.',
                'description' => 'This is another sample product.',
                'price' => 150,
                'bv' => 15,
                'inventory' => 30,
                'image' => 'sample2.jpg',
                'category_id' => null,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
            ],
        ]);
    }
}
