@extends('admin.layouts.app')

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header d-flex justify-content-between align-items-center">
            <h4>Add Products</h4>
            <a href="{{ route('admin.products.index') }}" class="btn btn-secondary">Back</a>
        </div>
        <div class="card-body">
            <form action="{{ route('admin.products.store') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-md-6">
                        <!-- Product Name -->
                        <div class="form-group mb-3">
                            <label for="name">Name <span class="text-danger">*</span></label>
                            <input type="text" name="name" class="form-control" value="{{ old('name') }}" required>
                        </div>

                        <!-- SKU -->
                        <div class="form-group mb-3">
                            <label for="sku">SKU <span class="text-danger">*</span></label>
                            <input type="text" name="sku" class="form-control" value="{{ old('sku') }}" required>
                        </div>

                        <!-- Price -->
                        <div class="form-group mb-3">
                            <label for="price">Price ($) <span class="text-danger">*</span></label>
                            <input type="number" step="0.01" name="price" class="form-control" value="{{ old('price') }}" required>
                        </div>

                        <!-- Discount -->
                        <div class="form-group mb-3">
                            <label for="discount">Discount (%)</label>
                            <input type="number" step="0.01" name="discount" class="form-control" value="{{ old('discount') }}">
                        </div>

                        <!-- In Stock -->
                        <div class="form-group mb-3">
                            <label for="stock">In Stock <span class="text-danger">*</span></label>
                            <input type="number" name="stock" class="form-control" value="{{ old('stock') }}" required>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <!-- Short Description -->
                        <div class="form-group mb-3">
                            <label for="short_description">Short Description <span class="text-danger">*</span></label>
                            <textarea name="short_description" class="form-control" required>{{ old('short_description') }}</textarea>
                        </div>

                        <!-- Product Image Upload with Preview -->
                        <div class="form-group mb-3">
                            <label for="image">Product Image <span class="text-danger">*</span></label>
                            <input type="file" name="image" class="form-control" id="imageUpload" onchange="previewImage(event)">
                            <div class="mt-2">
                                <img id="imagePreview" src="" class="img-thumbnail" width="300" style="display: none;">
                            </div>
                        </div>
                    </div>

                    <!-- Full Width for Description -->
                    <div class="col-md-12">
                        <div class="form-group mb-3">
                            <label for="description">Description</label>
                            <textarea name="description" id="editor" class="form-control">{{ old('description') }}</textarea>
                        </div>
                    </div>

                    <!-- Submit Button -->
                    <div class="col-md-12">
                        <button type="submit" class="btn btn-primary btn-block">Submit</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

@push('scripts')

@endsection