<div class="modal fade" id="productInfoModal" role="dialog" aria-hidden="true" tabindex="-1">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title m-0">@lang('Product Details')</h5>
                <button class="close" data-bs-dismiss="modal" type="button" aria-label="Close">
                    <i class="las la-times"></i>
                </button>
            </div>
            <div class="modal-body">
                <div class="text-center">
                    <img id="productImage" src="" class="img-fluid" alt="@lang('Product Image')">
                    <h4 id="productName"></h4>
                    <p id="productDescription"></p>
                    <p><strong>@lang('Price'):</strong> $<span id="productPrice"></span></p>
                    <p><strong>@lang('Stock'):</strong> <span id="productStock"></span></p>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="productPurchaseModal" role="dialog" aria-hidden="true" tabindex="-1">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">@lang('Confirm Purchase')</h5>
                <button class="close" data-bs-dismiss="modal" type="button" aria-label="Close">
                    <i class="las la-times"></i>
                </button>
            </div>
            <form method="POST" action="{{ route('products.buy') }}">
                @csrf
                <div class="modal-body">
                    <p>@lang('Are you sure you want to purchase this product?')</p>
                    <input type="hidden" name="product_id" id="modalProductId">
                </div>
                <div class="modal-footer">
                    <button class="btn btn-dark btn--sm" data-bs-dismiss="modal" type="button">@lang('Cancel')</button>
                    <button class="btn btn--base btn--sm" type="submit">@lang('Buy Now')</button>
                </div>
            </form>
        </div>
    </div>
</div>

@push('script')
<script>
    (function($) {
        "use strict";
        $(document).on('click', '.productInfoBtn', function() {
            let data = $(this).data();
            $('#productImage').attr('src', data.image);
            $('#productName').text(data.name);
            $('#productDescription').text(data.description);
            $('#productPrice').text(data.price);
            $('#productStock').text(data.stock);
            $('#productInfoModal').modal('show');
        });

        $(document).on('click', '.productPurchaseBtn', function() {
            let productId = $(this).data('id');
            $('#modalProductId').val(productId);
            $('#productPurchaseModal').modal('show');
        });
    })(jQuery);
</script>
@endpush
