@extends('templates.basic.layouts.frontend')

@section('content')
<div class="container py-5">
    <div class="dashboard-inner">
        <div class="row align-items-center">
            <!-- Product Image Section -->
            <div class="col-lg-5 col-md-6 col-sm-12 mb-4">
                <div class="product-image-container text-center p-3 shadow rounded">
                    @php
                        use Illuminate\Support\Str;

                        $imagePath = $product->image 
                            ? (Str::startsWith($product->image, 'product_images/') 
                                ? asset('storage/' . $product->image) 
                                : asset('storage/product_images/' . $product->image)) 
                            : asset('assets/images/default.png');
                    @endphp

                    <img src="{{ $imagePath }}" 
                         alt="{{ $product->name }}" 
                         class="img-fluid rounded shadow-sm"
                         onerror="this.onerror=null;this.src='{{ asset('assets/images/default.png') }}';">
                </div>
            </div>

            <!-- Product Details Section -->
<div class="col-lg-7 col-md-6 col-sm-12">
    <h2 class="product-title text-dark font-weight-bold">{{ $product->name }}</h2>
    <p class="text-muted">SKU: {{ $product->sku }}</p>
    
    <h3 class="text-primary font-weight-bold">${{ number_format($product->price, 2) }}</h3>

    <p class="product-description text-secondary">
        {{ $product->description }}
    </p>

    <p><strong>@lang('Business Volume (BV)'):</strong> {{ $product->bv }}</p>
    <p><strong>@lang('In Stock'):</strong> {{ $product->inventory }}</p>

    <!-- Add to Cart & Buy Now Buttons -->
    <form action="{{ route('cart.add', $product->id) }}" method="POST" class="mt-3">
        @csrf
        <div class="input-group mb-3">
            <input type="number" name="quantity" class="form-control text-center" value="1" min="1" max="{{ $product->inventory }}">
        </div>
        <button type="submit" class="btn btn-primary">
            <i class="fas fa-shopping-cart"></i> @lang('Add to Cart')
        </button>
        <a href="{{ route('checkout', ['product_id' => $product->id]) }}" class="btn btn-success">
            <i class="fas fa-bolt"></i> @lang('Buy Now')
        </a>
    </form>

    <a href="{{ route('store') }}" class="btn btn-dark mt-3">
        <i class="fas fa-store"></i> @lang('Back to Store')
    </a>
</div>
        </div>
    </div>
</div>
@endsection
