@extends($activeTemplate . 'layouts.frontend')

@section('content')
<section class="store-section padding-top padding-bottom">
    <div class="container">
        <h2 class="text-center mb-4">@lang('Store')</h2>
        <div class="row">
            @foreach ($products as $product)
                <div class="col-md-3 col-sm-6 mb-4">
                    <div class="card product-card">
                        <img src="{{ $product->image ? url('storage/product_images/' . $product->image) : asset('assets/images/default.png') }}" alt="{{ $product->name }}">
                        <div class="card-body text-center">
                            <h5 class="card-title">{{ $product->name }}</h5>
                            <p class="card-text text-success"><strong>${{ number_format($product->price, 2) }}</strong></p>
                            <a href="{{ route('product.show', $product->id) }}" class="btn btn-primary">@lang('View Details')</a>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
        {{ $products->links() }} <!-- Pagination -->
    </div>
</section>
@endsection
