

<?php $__env->startSection('panel'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body p-0">
                    <div class="table-responsive--md table-responsive">
                        <table class="table--light style--two table">
                            <thead>
                                <tr>
                                    <th><?php echo app('translator')->get('Name'); ?></th>
                                    <th><?php echo app('translator')->get('Price'); ?></th>
                                    <th><?php echo app('translator')->get('Business Volume (BV)'); ?></th>
                                    <th><?php echo app('translator')->get('Referral Commission'); ?></th>
                                    <th><?php echo app('translator')->get('Max Pairs/Day'); ?></th>
                                    <th><?php echo app('translator')->get('Infinite Pairs'); ?></th>
                                    <th><?php echo app('translator')->get('Plan Picture'); ?></th>
                                    <th><?php echo app('translator')->get('Status'); ?></th>
                                    <th><?php echo app('translator')->get('Action'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td><?php echo e($plan->name); ?></td>
                                        <td><?php echo e(showAmount($plan->price)); ?></td>
                                        <td><?php echo e($plan->bv); ?></td>
                                        <td><?php echo e(showAmount($plan->ref_com)); ?></td>
                                        <td><?php echo e($plan->max_pairs_per_day); ?></td>
                                        <td><?php echo e($plan->infinite_pairs); ?></td>
                                        <td>
                                            <?php if($plan->plan_picture): ?>
                                                <img src="<?php echo e(asset('assets/images/plan/' . $plan->plan_picture)); ?>" 
                                                     class="w-80 img-thumbnail" alt="Plan Image">
                                            <?php else: ?>
                                                <img src="<?php echo e(asset('assets/images/plan/default.jpg')); ?>" 
                                                     class="w-80 img-thumbnail" alt="Default Image">
                                            <?php endif; ?>
                                        </td>
                                        <td><?php echo $plan->statusBadge ?></td>
                                        <td>
                                            <button class="btn btn-sm btn-outline--primary edit" 
                                                    data-id="<?php echo e($plan->id); ?>" 
                                                    data-name="<?php echo e($plan->name); ?>" 
                                                    data-price="<?php echo e(getAmount($plan->price)); ?>"
                                                    data-bv="<?php echo e($plan->bv); ?>" 
                                                    data-ref_com="<?php echo e(getAmount($plan->ref_com)); ?>"
                                                    data-max_pairs_per_day="<?php echo e($plan->max_pairs_per_day); ?>"
                                                    data-infinite_pairs="<?php echo e($plan->infinite_pairs); ?>"
                                                    data-plan_picture="<?php echo e(asset('assets/images/plan/'.$plan->plan_picture)); ?>"
                                                    type="button">
                                                <i class="la la-pencil"></i> <?php echo app('translator')->get('Edit'); ?>
                                            </button>

                                            <?php if($plan->status == Status::DISABLE): ?>
                                                <button class="btn btn-sm btn-outline--success confirmationBtn ms-1" 
                                                        data-question="<?php echo app('translator')->get('Are you sure to enable this plan?'); ?>"
                                                        data-action="<?php echo e(route('admin.plan.status', $plan->id)); ?>">
                                                    <i class="la la-eye"></i> <?php echo app('translator')->get('Enable'); ?>
                                                </button>
                                            <?php else: ?>
                                                <button class="btn btn-sm btn-outline--danger confirmationBtn ms-1" 
                                                        data-question="<?php echo app('translator')->get('Are you sure to disable this plan?'); ?>"
                                                        data-action="<?php echo e(route('admin.plan.status', $plan->id)); ?>">
                                                    <i class="la la-eye-slash"></i> <?php echo app('translator')->get('Disable'); ?>
                                                </button>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <?php if($plans->hasPages()): ?>
                    <div class="card-footer py-4">
                        <?php echo e($plans->links()); ?>

                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>

    
    <div class="modal fade" id="edit-plan" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo app('translator')->get('Edit Plan'); ?></h5>
                    <button class="close" data-bs-dismiss="modal" type="button">
                        <i class="las la-times"></i>
                    </button>
                </div>
                <form method="POST" action="<?php echo e(route('admin.plan.save')); ?>" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <input class="form-control plan_id" name="id" type="hidden">
                        
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label><?php echo app('translator')->get('Name'); ?></label>
                                <input class="form-control name" name="name" type="text" required>
                            </div>
                            <div class="form-group col-md-6">
                                <label><?php echo app('translator')->get('Price'); ?></label>
                                <input class="form-control price" name="price" type="number" step="any" required>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group col-md-6">
                                <label><?php echo app('translator')->get('Business Volume (BV)'); ?></label>
                                <input class="form-control bv" name="bv" type="number" required>
                            </div>
                            <div class="form-group col-md-6">
                                <label><?php echo app('translator')->get('Referral Commission'); ?></label>
                                <input class="form-control ref_com" name="ref_com" type="number" step="any" required>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group col-md-6">
                                <label><?php echo app('translator')->get('Max Pairs/Day'); ?></label>
                                <input class="form-control max_pairs_per_day" name="max_pairs_per_day" type="number" step="any" required>
                            </div>
                            <div class="form-group col-md-6">
                                <label><?php echo app('translator')->get('Infinite Pairs'); ?></label>
                                <input class="form-control infinite_pairs" name="infinite_pairs" type="number" step="any" required>
                            </div>
                        </div>

                        <div class="form-group">
                            <label><?php echo app('translator')->get('Plan Picture'); ?></label>
                            <input class="form-control" name="plan_picture" type="file">
                            <img src="" alt="<?php echo app('translator')->get('image'); ?>" class="w-80 img-thumbnail image-preview">
                        </div>
                    </div>

                    <div class="modal-footer">
                        <button class="btn btn--primary w-100" type="submit"><?php echo app('translator')->get('Submit'); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <?php if (isset($component)) { $__componentOriginalbd5922df145d522b37bf664b524be380 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalbd5922df145d522b37bf664b524be380 = $attributes; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\ConfirmationModal::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalbd5922df145d522b37bf664b524be380)): ?>
<?php $attributes = $__attributesOriginalbd5922df145d522b37bf664b524be380; ?>
<?php unset($__attributesOriginalbd5922df145d522b37bf664b524be380); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalbd5922df145d522b37bf664b524be380)): ?>
<?php $component = $__componentOriginalbd5922df145d522b37bf664b524be380; ?>
<?php unset($__componentOriginalbd5922df145d522b37bf664b524be380); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <button class="btn btn-sm btn-outline--primary add-plan">
        <i class="la la-plus"></i><?php echo app('translator')->get('Add New'); ?>
    </button>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
<script>
    (function ($) {
        "use strict";

        let action = `<?php echo e(route('admin.plan.save')); ?>`;

        $('.edit').on('click', function() {
            let modal = $('#edit-plan');
            modal.find('.plan_id').val($(this).data('id'));
            modal.find('.name').val($(this).data('name'));
            modal.find('.price').val($(this).data('price'));
            modal.find('.bv').val($(this).data('bv'));
            modal.find('.ref_com').val($(this).data('ref_com'));
            modal.find('.max_pairs_per_day').val($(this).data('max_pairs_per_day'));
            modal.find('.infinite_pairs').val($(this).data('infinite_pairs'));

            let planPicture = $(this).data('plan_picture');
            if (planPicture) {
                modal.find('.image-preview').attr('src', planPicture);
            } else {
                modal.find('.image-preview').attr('src', '<?php echo e(asset("assets/images/plan/default.jpg")); ?>');
            }

            modal.find('form').attr('action', action);
            modal.modal('show');
        });

        $('.add-plan').on('click', function() {
            let modal = $('#edit-plan');
            modal.find('form')[0].reset();
            modal.find('.plan_id').val('');
            modal.find('.image-preview').attr('src', '<?php echo e(asset("assets/images/plan/default.jpg")); ?>');
            modal.find("form").attr('action', action);
            modal.modal('show');
        });

    })(jQuery);
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/parawfza/paradise/core/resources/views/admin/plan/index.blade.php ENDPATH**/ ?>