

<?php $__env->startSection('content'); ?>
<div class="container py-5">
    <div class="dashboard-inner">
        <div class="row align-items-center">
            <!-- Product Image Section -->
            <div class="col-lg-5 col-md-6 col-sm-12 mb-4">
                <div class="product-image-container text-center p-3 shadow rounded">
                    <?php
                        use Illuminate\Support\Str;

                        $imagePath = $product->image 
                            ? (Str::startsWith($product->image, 'product_images/') 
                                ? asset('storage/' . $product->image) 
                                : asset('storage/product_images/' . $product->image)) 
                            : asset('assets/images/default.png');
                    ?>

                    <img src="<?php echo e($imagePath); ?>" 
                         alt="<?php echo e($product->name); ?>" 
                         class="img-fluid rounded shadow-sm"
                         onerror="this.onerror=null;this.src='<?php echo e(asset('assets/images/default.png')); ?>';">
                </div>
            </div>

            <!-- Product Details Section -->
<div class="col-lg-7 col-md-6 col-sm-12">
    <h2 class="product-title text-dark font-weight-bold"><?php echo e($product->name); ?></h2>
    <p class="text-muted">SKU: <?php echo e($product->sku); ?></p>
    
    <h3 class="text-primary font-weight-bold">$<?php echo e(number_format($product->price, 2)); ?></h3>

    <p class="product-description text-secondary">
        <?php echo e($product->description); ?>

    </p>

    <p><strong><?php echo app('translator')->get('Business Volume (BV)'); ?>:</strong> <?php echo e($product->bv); ?></p>
    <p><strong><?php echo app('translator')->get('In Stock'); ?>:</strong> <?php echo e($product->inventory); ?></p>

    <!-- Add to Cart & Buy Now Buttons -->
    <form action="<?php echo e(route('cart.add', $product->id)); ?>" method="POST" class="mt-3">
        <?php echo csrf_field(); ?>
        <div class="input-group mb-3">
            <input type="number" name="quantity" class="form-control text-center" value="1" min="1" max="<?php echo e($product->inventory); ?>">
        </div>
        <button type="submit" class="btn btn-primary">
            <i class="fas fa-shopping-cart"></i> <?php echo app('translator')->get('Add to Cart'); ?>
        </button>
        <a href="<?php echo e(route('checkout', ['product_id' => $product->id])); ?>" class="btn btn-success">
            <i class="fas fa-bolt"></i> <?php echo app('translator')->get('Buy Now'); ?>
        </a>
    </form>

    <a href="<?php echo e(route('store')); ?>" class="btn btn-dark mt-3">
        <i class="fas fa-store"></i> <?php echo app('translator')->get('Back to Store'); ?>
    </a>
</div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('templates.basic.layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/parawfza/paradise/core/resources/views/templates/basic/product.blade.php ENDPATH**/ ?>