
<?php $__env->startSection('content'); ?>
    <?php
        $planContent = getContent('plan.content', true);
    ?>
    <section class="blog-section padding-top padding-bottom">
        <div class="container">
            <div class="row mb-30-none">
                <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-lg-4 col-md-6 col-sm-10 mb-30">
                        <div class="plan-card bg_img text-center"
                            data-background="<?php echo e(asset(getImage('assets/images/frontend/plan/' . @$planContent->data_values->background_image, '700x480'))); ?>">

                            
                            <div class="plan-image">
                                <img src="<?php echo e(asset('assets/images/plans/' . $plan->plan_picture)); ?>" alt="<?php echo e($plan->name); ?>" class="img-fluid">
                            </div>

                            <h4 class="plan-card__title text--base mb-2"><?php echo e(__(@$plan->name)); ?></h4>
                            <div class="price-range mt-5 text-white"> <?php echo e(showAmount($plan->price)); ?> </div>
                            <ul class="plan-card__features mt-4">
                                <li> <?php echo app('translator')->get('Business Volume'); ?> (<?php echo app('translator')->get('BV'); ?>) : <span class="amount"><?php echo e($plan->bv); ?></span>
                                    <span class="icon float-right" data-bs-toggle="modal" data-bs-target="#bvInfoModal"><i
                                            class="fas fa-question-circle"></i></span>
                                </li>
                                <li>
                                    <?php echo app('translator')->get('Referral Commission'); ?> : <span class="amount"><?php echo e(showAmount($plan->ref_com)); ?></span>
                                    <span class="icon float-right" data-bs-toggle="modal" data-bs-target="#refComInfoModal"><i
                                            class="fas fa-question-circle"></i></span>
                                </li>

                                <li>
                                    <?php echo app('translator')->get('Max Pairs'); ?> : <span class="amount"><?php echo e(showAmount($plan->max_pairs_per_day)); ?></span>
                                    <span class="icon float-right" data-bs-toggle="modal" data-bs-target="#max_pairs_per_dayModal"><i
                                            class="fas fa-question-circle"></i></span>
                                </li>
                                <li>
                                    <?php echo app('translator')->get('Infinite Pairs'); ?> : <span class="amount"><?php echo e(showAmount($plan->infinite_pairs)); ?></span>
                                    <span class="icon float-right" data-bs-toggle="modal" data-bs-target="#infinite_pairsModal"><i
                                            class="fas fa-question-circle"></i></span>
                                </li>
                            </ul>

                            <?php if(auth()->guard()->check()): ?>
                                <?php if(@auth()->user()->plan->price > $plan->price): ?>
                                    <button class="custom-button theme disabled mt-3 w-auto text-white" type="button">
                                        <?php echo app('translator')->get('Unavailable'); ?>
                                    </button>
                                <?php elseif(auth()->user()->plan_id != $plan->id): ?>
                                    <button class="subscribeBtn custom-button theme mt-3 w-auto text-white planConfirmationBtn"
                                        data-amount="<?php echo e(getAmount($plan->price)); ?>" data-plan_id="<?php echo e($plan->id); ?>" type="button" data-question="<?php echo app('translator')->get('Are you sure to subscribe this plan?'); ?>">
                                        <?php echo app('translator')->get('Subscribe Now'); ?>
                                    </button>
                                <?php else: ?>
                                    <button class="custom-button btn--success disabled mt-3 w-auto" type="button">
                                        <?php echo app('translator')->get('Current Plan'); ?>
                                    </button>
                                <?php endif; ?>
                            <?php else: ?>
                                <button class="custom-button theme mt-3 w-auto text-white" data-bs-toggle="modal" data-bs-target="#loginModal">
                                    <?php echo app('translator')->get('Subscribe now'); ?>
                                </button>
                            <?php endif; ?>

                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>

            <?php if($plans->hasPages()): ?>
                <?php echo e(paginateLinks($plans)); ?>

            <?php endif; ?>
        </div>
    </section>

    <?php if($sections->secs != null): ?>
        <?php $__currentLoopData = json_decode($sections->secs); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sec): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php echo $__env->make($activeTemplate . 'sections.' . $sec, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php endif; ?>
    <?php echo $__env->make($activeTemplate . 'partials.plan_modals', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/parawfza/paradise/core/resources/views/templates/basic/plan.blade.php ENDPATH**/ ?>