<?php
    // Ensure sidebar links are properly decoded
    $sideBarLinks = json_decode($sidenav, true) ?? [];
?>

<div class="sidebar bg--dark">
    <button class="res-sidebar-close-btn"><i class="las la-times"></i></button>
    <div class="sidebar__inner">
        <div class="sidebar__logo">
            <a href="<?php echo e(route('admin.dashboard')); ?>" class="sidebar__main-logo">
                <img src="<?php echo e(siteLogo('dark')); ?>" alt="Admin Dashboard Logo">
            </a>
        </div>

        <div class="sidebar__menu-wrapper">
            <ul class="sidebar__menu">
                <?php $__currentLoopData = $sideBarLinks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    
                    <?php if(!empty($data['header'])): ?>
                        <li class="sidebar__menu-header"><?php echo e(__($data['header'])); ?></li>
                    <?php endif; ?>

                    
                    <?php if(!empty($data['submenu'])): ?>
                        <li class="sidebar-menu-item sidebar-dropdown">
                            <a href="javascript:void(0)" class="<?php echo e(menuActive($data['menu_active'] ?? '', 3)); ?>">
                                <i class="menu-icon <?php echo e($data['icon'] ?? 'las la-bars'); ?>"></i>
                                <span class="menu-title"><?php echo e(__($data['title'] ?? 'Unnamed Menu')); ?></span>

                                
                                <?php $__currentLoopData = $data['counters'] ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $counter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(isset($$counter) && $$counter > 0): ?>
                                        <span class="menu-badge menu-badge-level-one bg--warning ms-auto">
                                            <i class="fas fa-exclamation"></i>
                                        </span>
                                        <?php break; ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </a>

                            
                            <div class="sidebar-submenu <?php echo e(menuActive($data['menu_active'] ?? '', 2)); ?>">
                                <ul>
                                    <?php $__currentLoopData = $data['submenu']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                            $submenuParams = [];
                                            if (!empty($menu['params'])) {
                                                foreach ($menu['params'] as $submenuParamVal) {
                                                    $submenuParams[] = array_values((array)$submenuParamVal)[0];
                                                }
                                            }
                                        ?>

                                        <?php if(Route::has($menu['route_name'] ?? '')): ?>
                                            <li class="sidebar-menu-item <?php echo e(menuActive($menu['menu_active'] ?? '')); ?>">
                                                <a href="<?php echo e(route($menu['route_name'], $submenuParams)); ?>" class="nav-link">
                                                    <i class="menu-icon las la-dot-circle"></i>
                                                    <span class="menu-title"><?php echo e(__($menu['title'] ?? 'Unnamed Submenu')); ?></span>

                                                    
                                                    <?php $counter = $menu['counter'] ?? null; ?>
                                                    <?php if(isset($$counter) && $$counter): ?>
                                                        <span class="menu-badge bg--info ms-auto"><?php echo e($$counter); ?></span>
                                                    <?php endif; ?>
                                                </a>
                                            </li>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        </li>
                    <?php else: ?>
                        
                        <?php
                            $mainParams = [];
                            if (!empty($data['params'])) {
                                foreach ($data['params'] as $paramVal) {
                                    $mainParams[] = array_values((array)$paramVal)[0];
                                }
                            }
                        ?>

                        <?php if(Route::has($data['route_name'] ?? '')): ?>
                            <li class="sidebar-menu-item <?php echo e(menuActive($data['menu_active'] ?? '')); ?>">
                                <a href="<?php echo e(route($data['route_name'], $mainParams)); ?>" class="nav-link">
                                    <i class="menu-icon <?php echo e($data['icon'] ?? 'las la-bars'); ?>"></i>
                                    <span class="menu-title"><?php echo e(__($data['title'] ?? 'Unnamed Menu')); ?></span>

                                    
                                    <?php $counter = $data['counter'] ?? null; ?>
                                    <?php if(isset($$counter) && $$counter): ?>
                                        <span class="menu-badge bg--info ms-auto"><?php echo e($$counter); ?></span>
                                    <?php endif; ?>
                                </a>
                            </li>
                        <?php endif; ?>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>

        
        <div class="version-info text-center text-uppercase">
            <?php if(function_exists('systemDetails')): ?>
                <span class="text--primary"><?php echo e(__(systemDetails()['name'] ?? 'System')); ?></span>
                <span class="text--success"><?php echo app('translator')->get('V'); ?><?php echo e(systemDetails()['version'] ?? '1.0'); ?> </span>
            <?php else: ?>
                <span class="text--primary">System Name</span>
                <span class="text--success"><?php echo app('translator')->get('V'); ?>1.0</span>
            <?php endif; ?>
        </div>
    </div>
</div>
<!-- Sidebar End -->

<?php $__env->startPush('script'); ?>
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            let activeMenuItem = document.querySelector('.sidebar__menu-wrapper .active');
            if (activeMenuItem) {
                document.querySelector('.sidebar__menu-wrapper').scrollTop = activeMenuItem.offsetTop - 320;
            }
        });
    </script>
<?php $__env->stopPush(); ?>
<?php /**PATH /home/parawfza/paradise/core/resources/views/admin/partials/sidenav.blade.php ENDPATH**/ ?>