<?php
    $blogCaption = getContent('blog.content', true);
    $blogs       = getContent('blog.element', false, 3);
?>

<section class="blog-section padding-top padding-bottom">
    <div class="container">
        <div class="section-header">
            <h2 class="title"><?php echo e(__(@$blogCaption->data_values->heading)); ?></h2>
            <p><?php echo e(__(@$blogCaption->data_values->sub_heading)); ?></p>
        </div>
        <div class="row mb-30-none">
            <?php $__currentLoopData = $blogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-6 col-xl-4 col-sm-10">
                    <div class="post-item">
                        <div class="post-thumb c-thumb">
                            <a href="<?php echo e(route('blog.details', $blog->slug)); ?>">
                                <img src="<?php echo e(frontendImage('blog', 'thumb_' . @$blog->data_values->blog_image)); ?>" alt="blog">
                            </a>
                        </div>
                        <div class="post-content">
                            <h5 class="title">
                                <a href="<?php echo e(route('blog.details', $blog->slug)); ?>"><?php echo e(__(@$blog->data_values->title)); ?></a>
                            </h5>
                            <ul class="meta-post">
                                <li><i class="fas fa-calendar-day"></i><span><?php echo e(showDateTime($blog->created_at, $format = 'd M, Y')); ?></span>
                                </li>
                            </ul>
                            <div class="entry-content">
                                <p><?php echo e(__(strLimit(strip_tags(@$blog->data_values->description), 165))); ?></p>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</section>
<?php /**PATH /home/parawfza/paradise/core/resources/views/templates/basic/sections/blog.blade.php ENDPATH**/ ?>